#
# spec file for package lhs2tex
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lhs2tex
Version:        1.20
Release:        7.1
Summary:        Preprocessor for typesetting Haskell sources with LaTeX
License:        GPL-1.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-rpm-macros

%description
This tool is primarily intended for people who want to write articles or books
using LaTeX that contain some Haskell code. It works on literate Haskell
documents where the non-Haskell parts form essentially a valid LaTeX document,
then processes the Haskell code in the document and replaces it with formatted
LaTeX output. It is not fully automatic in the sense that it will turn an
arbitrary literate Haskell document into a LaTeX document without further work.

Nearly all aspects about the output and formatting are configurable.
Output of code can be made using proportional fonts in such a way that even
complex horizontal alignment is preserved. The preprocessor can also be invoked
in another mode to just extract the Haskell code.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install
rm -f %{buildroot}%{_datadir}/licenses/lhs2tex/doc/Guide2.pdf

%files
%license LICENSE
%doc AUTHORS CHANGELOG Examples TODO doc
%{_bindir}/lhs2TeX
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*
%{_mandir}/man1/lhs2TeX.1%{?ext_man}

%changelog
* Wed Mar 14 2018 psimons@suse.com
- Update lhs2tex to version 1.20.
  A more detailed change log is not available.
